Skip to main content
GET
Read Customer Meter

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Path Parameters

id
string<uuid4>
required

The customer meter ID.

Response

Successful Response

id
string<uuid4>
required

The stable identifier for this record.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

customer_id
string<uuid4>
required

The ID of the customer.

Example:

"992fae2a-2a17-4b7a-8d9e-e287cf90131b"

meter_id
string<uuid4>
required

The ID of the meter.

Example:

"d498a884-e2cd-4d3e-8002-f536468a8b22"

consumed_units
number
required

The number of consumed units.

Example:

25

credited_units
integer
required

The number of credited units.

Example:

100

balance
number
required

The balance of the meter, i.e. the difference between credited and consumed units.

Example:

75

meter
CustomerCustomerMeterMeter · object
required